import java.io.*;

// Test ohne JUnit


public class junit1  {

  public double add(double x, double y) {
    return x+y;
  }

  public junit1() {
  } // create


    // 1. Testfall
	public void ttestAdd() {
    double a,b,c;

    c = add(5.5, 4.75);
    if (c != 10.25 )
      System.out.println("Fehler1 bei der Addition");
    else
      System.out.println("Alles ok mit TestAdd");
  }

	public void testAdd() {
    double a,b,c;

    c = add(5.033, 4.343);
    System.out.println("diff: "+(c-9.376));
    if (c != 9.376 )
      System.out.println("Fehler2 bei der Addition");
    else
      System.out.println("Alles ok mit TestAdd");
  }
  public static void main(String[] args) {
    junit1 mytest = new junit1();
    mytest.testAdd();
    pause();
  }


   private static void pause() {
    try {
      System.in.read();
    }
    catch (IOException e) {
    }
  }  // pause

}


